/*
 * @Author: qianhao
 * @Date: 2023-11-21 18:47:40
 * @LastEditors: qianhao
 * @LastEditTime: 2023-11-27 11:16:06
 * @Description: 
 * Copyright (c) 2019, YUNXI. All rights reserved.
 * YUNXI PROPRIETARY/CONFIDENTIAL. Use is subject to license terms. 
 */
import {
    defineComponent,
    // PropType,
    h,
    ref,
    reactive,
    toRefs,
    onMounted,
    onUnmounted
} from 'vue'
// import myImage from '@/assets/A_evDjT5vjkX0AAAAAAAAAAAAAARQnAQ.png';
import myImage from '@assets/A_evDjT5vjkX0AAAAAAAAAAAAAARQnAQ.png';
// import screenfull from 'screenfull'
	const image = {
		logo: "https://gw.alipayobjects.com/mdn/rms_43231b/afts/img/A*evDjT5vjkX0AAAAAAAAAAAAAARQnAQ",
		success:
			"https://gw.alipayobjects.com/mdn/rms_43231b/afts/img/A*6l60T6h8TTQAAAAAAAAAAAAAARQnAQ",
		failed:
			"https://gw.alipayobjects.com/mdn/rms_43231b/afts/img/A*SEISQ6My-HoAAAAAAAAAAAAAARQnAQ",
		running:
			"https://gw.alipayobjects.com/mdn/rms_43231b/afts/img/A*t8fURKfgSOgAAAAAAAAAAAAAARQnAQ",
	};

export default defineComponent({
    name: 'log-modal',
    // props,
    emits: ['confirmModal', 'refreshLogs', 'downloadLogs'],
    setup(props, ctx) {
		onMounted(() => {
			console.log('挂载3333333')
		})
        return {
		}
		
	},
	
    render() {
			// const { node } = this;
			// const data = node?.getData();
			// const { label, status = "default" } = data;
			const status = '123';
			const label = 123;

			return (
				<div class={`node ${status}`}>
					<img src={myImage} alt="logo" />
					<span class="label">{label}</span>
					<span class="status">
						{<img src={myImage} alt="success" />}
						{<img src={myImage} alt="failed" />}
						{<img src={myImage} alt="running" />}
					</span>
				</div>
			);
    }
})
