/*
 * @Author: qianhao
 * @Date: 2023-11-21 18:47:40
 * @LastEditors: qianhao
 * @LastEditTime: 2023-11-30 17:12:10
 * @Description: 
 * Copyright (c) 2019, YUNXI. All rights reserved.
 * YUNXI PROPRIETARY/CONFIDENTIAL. Use is subject to license terms. 
 */
import {
	defineComponent,
	// PropType,
	h,
	ref,
	inject,
	reactive,
	toRefs,
	onMounted,
	onUnmounted
} from 'vue'
import * as insertCss from 'insert-css';
import './styles.css'
// import myImage from '@/assets/A_evDjT5vjkX0AAAAAAAAAAAAAARQnAQ.png';
import myImage from '@assets/A_evDjT5vjkX0AAAAAAAAAAAAAARQnAQ.png';
// import screenfull from 'screenfull'
const image = {
	logo: "https://gw.alipayobjects.com/mdn/rms_43231b/afts/img/A*evDjT5vjkX0AAAAAAAAAAAAAARQnAQ",
	success:
		"https://gw.alipayobjects.com/mdn/rms_43231b/afts/img/A*6l60T6h8TTQAAAAAAAAAAAAAARQnAQ",
	failed:
		"https://gw.alipayobjects.com/mdn/rms_43231b/afts/img/A*SEISQ6My-HoAAAAAAAAAAAAAARQnAQ",
	running:
		"https://gw.alipayobjects.com/mdn/rms_43231b/afts/img/A*t8fURKfgSOgAAAAAAAAAAAAAARQnAQ",
};
// interface NodeStatus {
// 	id: string
// 	status: 'default' | 'success' | 'failed' | 'running'
// 	label?: string
// }
// const props = {
// 	getNode: {
// 		type: Function as PropType<any>,
// 	},
// }
// type MyFunction = () => any;
// interface MyData {
// 	getData: MyFunction;
// }
export default defineComponent({
	name: 'Test2',
	// props,
	// inject: ['getNode'],
	emits: ['confirmModal', 'refreshLogs', 'downloadLogs'],
	setup(props, ctx) {
		// console.log(props.getNode)
		// const getNode = inject('getNode', () => ({
		// 	getData: () => {
		// 		return ({
		// 			label: 123,
		// 			status: 'default'
		// 		})
		// 	}
		// }));
		// const node = reactive({
		// 	isFullscreen: false
		// })
		// let node = reactive({
		// 	getData: () => {},
		// });

		let state = reactive({ label: '', status: '' })


		// const getNode = inject('getNode');
		// if (getNode) {
		// 	const node = getNode()
		// 	const data = node?.getData();
		// 	console.log(node)
		// 	const { label, status = 'default' } = data
		// 	state.label = label;
		// 	state.status = status;
		// 	node.on('change:data', ({ current }) => {
		// 		console.log(current)
		// 			const { label, status = 'default' } = current;
		// 			state.label = label;
		// 		  state.status = status;
		// 	})
		// }


		onMounted(() => {
			console.log('挂载22222222222')
			const getNode = inject('getNode');
			console.log(getNode)
			if (getNode) {
				const node = getNode()
				const data = node?.getData();
				const { label, status = 'default' } = data
				state.label = label;
				state.status = status;
				node.on('change:data', ({ current }) => {
					// console.log(current)
					const { label, status = 'default' } = current;
					state.label = label;
					state.status = status;
				})
			}
		})
		return {
			state
		}
	},
	render() {
		const { label, status = 'default' } = this.state;
		// let label2, status2 = 'default';
		// if (node.getData) {
		// 	console.log(node.getData)
		// 	const data = node?.getData() as NodeStatus;
		// 	console.log(data)
		// 	const { label, status = 'default' } = data
		// 	label2 = label
		// 	status2 = status
		// }


		return (
			<div class={`node ${status}`}>
				<img src={myImage} alt="logo" />
				<span class="label">{label}</span>
				<span class="status">
					{status === 'success' && <img src={myImage} alt="success" />}
					{status === 'failed' && <img src={myImage} alt="failed" />}
					{status === 'running' && <img src={myImage} alt="running" />}
				</span>
			</div>
		);
	}
})

